Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
How to 'set' openssl ?
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Networking & Security
View previous topic :: View next topic  
Author Message
jody
Guru
Guru


Joined: 16 Oct 2007
Posts: 564
Location: Switzerland

PostPosted: Mon Sep 16, 2019 1:09 pm    Post subject: How to 'set' openssl ? Reply with quote

When i ran the installationprogram for VisIt, i got the message
Code:
ERROR: library openssl was not set python depends on it, please enable


On this machine dev-libs/openssl-1.0.2p *is* installed (as well as dev-python/pyopenssl-19.0.0)
But i have no idea what this message means, and i don't know how to 'set' openssl.

Any ideas?
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 24058
Location: here

PostPosted: Mon Sep 16, 2019 1:15 pm    Post subject: Reply with quote

What python version use VisIt (you can post a link to software)?
With which python_targets is compiled dev-python/pyopenssl?
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
jody
Guru
Guru


Joined: 16 Oct 2007
Posts: 564
Location: Switzerland

PostPosted: Mon Sep 16, 2019 1:52 pm    Post subject: Reply with quote

Here's the link to the download page for VisIt: https://wci.llnl.gov/simulation/computer-codes/visit/source

I downloaded the sources for VisIt 3.0.1 together with th build_visit script (build_visit3_0_1)
The error message is printed by function enable_dependent_libraries of this script.

My pyopenssl is compiled with
PYTHON_TARGETS="pypy pypy3 python2_7 python3_5 python3_6 python3_7"

I have no idea which python version is needed by VisIt.
I used eselect to set python to 2.7, 3.5 and 3.6, but i keep getting the same error
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 24058
Location: here

PostPosted: Mon Sep 16, 2019 2:36 pm    Post subject: Reply with quote

I tried to see build script but is a little bit complicate and I have no time now, sorry
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
charles17
Advocate
Advocate


Joined: 02 Mar 2008
Posts: 3255

PostPosted: Tue Sep 17, 2019 5:35 am    Post subject: Reply with quote

jody wrote:
Here's the link to the download page for VisIt: https://wci.llnl.gov/simulation/computer-codes/visit/source

Did you consider using the ebuild of sci-visualization/visit? If you really need ar want a newer version, people here could help with ebump
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Networking & Security All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum